"""empty message

Revision ID: b9245adda828
Revises: 95fa731c0242
Create Date: 2021-04-03 11:45:02.123002

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = 'b9245adda828'
down_revision = '95fa731c0242'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('records_buckets')
    op.drop_table('files_object')
    op.drop_table('files_bucket')
    op.drop_table('files_location')
    op.add_column('files_files', sa.Column('_mimetype', sa.String(length=255), nullable=True))
    op.add_column('files_files', sa.Column('is_head', sa.Boolean(), nullable=False))
    op.add_column('files_files', sa.Column('key', sa.Text(), nullable=False))
    op.add_column('files_files', sa.Column('record_id', sa.String(length=50), nullable=True))
    op.add_column('files_files', sa.Column('user_id', sa.Integer(), nullable=True))
    op.add_column('files_files', sa.Column('version_id', postgresql.UUID(), nullable=False))
    op.create_index(op.f('ix_files_files__mimetype'), 'files_files', ['_mimetype'], unique=False)
    op.create_foreign_key(None, 'files_files', 'user', ['user_id'], ['id'])
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint(None, 'files_files', type_='foreignkey')
    op.drop_index(op.f('ix_files_files__mimetype'), table_name='files_files')
    op.drop_column('files_files', 'version_id')
    op.drop_column('files_files', 'user_id')
    op.drop_column('files_files', 'record_id')
    op.drop_column('files_files', 'key')
    op.drop_column('files_files', 'is_head')
    op.drop_column('files_files', '_mimetype')
    op.create_table('files_location',
    sa.Column('created', postgresql.TIMESTAMP(), autoincrement=False, nullable=False),
    sa.Column('updated', postgresql.TIMESTAMP(), autoincrement=False, nullable=False),
    sa.Column('id', sa.INTEGER(), server_default=sa.text("nextval('files_location_id_seq'::regclass)"), nullable=False),
    sa.Column('name', sa.VARCHAR(length=20), autoincrement=False, nullable=False),
    sa.Column('uri', sa.VARCHAR(length=255), autoincrement=False, nullable=False),
    sa.Column('default', sa.BOOLEAN(), autoincrement=False, nullable=False),
    sa.PrimaryKeyConstraint('id', name='files_location_pkey'),
    sa.UniqueConstraint('name', name='files_location_name_key'),
    postgresql_ignore_search_path=False
    )
    op.create_table('files_bucket',
    sa.Column('created', postgresql.TIMESTAMP(), autoincrement=False, nullable=False),
    sa.Column('updated', postgresql.TIMESTAMP(), autoincrement=False, nullable=False),
    sa.Column('id', postgresql.UUID(), autoincrement=False, nullable=False),
    sa.Column('default_location', sa.INTEGER(), autoincrement=False, nullable=False),
    sa.Column('default_storage_class', sa.VARCHAR(length=1), autoincrement=False, nullable=True),
    sa.Column('size', sa.BIGINT(), autoincrement=False, nullable=True),
    sa.Column('quota_size', sa.BIGINT(), autoincrement=False, nullable=True),
    sa.Column('max_file_size', sa.BIGINT(), autoincrement=False, nullable=True),
    sa.Column('locked', sa.BOOLEAN(), autoincrement=False, nullable=False),
    sa.Column('deleted', sa.BOOLEAN(), autoincrement=False, nullable=False),
    sa.ForeignKeyConstraint(['default_location'], ['files_location.id'], name='files_bucket_default_location_fkey', ondelete='RESTRICT'),
    sa.PrimaryKeyConstraint('id', name='files_bucket_pkey'),
    postgresql_ignore_search_path=False
    )
    op.create_table('files_object',
    sa.Column('created', postgresql.TIMESTAMP(), autoincrement=False, nullable=False),
    sa.Column('updated', postgresql.TIMESTAMP(), autoincrement=False, nullable=False),
    sa.Column('bucket_id', postgresql.UUID(), autoincrement=False, nullable=False),
    sa.Column('key', sa.TEXT(), autoincrement=False, nullable=False),
    sa.Column('version_id', postgresql.UUID(), autoincrement=False, nullable=False),
    sa.Column('file_id', postgresql.UUID(), autoincrement=False, nullable=True),
    sa.Column('_mimetype', sa.VARCHAR(length=255), autoincrement=False, nullable=True),
    sa.Column('is_head', sa.BOOLEAN(), autoincrement=False, nullable=False),
    sa.ForeignKeyConstraint(['bucket_id'], ['files_bucket.id'], name='files_object_bucket_id_fkey', ondelete='RESTRICT'),
    sa.ForeignKeyConstraint(['file_id'], ['files_files.id'], name='files_object_file_id_fkey', ondelete='RESTRICT'),
    sa.PrimaryKeyConstraint('bucket_id', 'key', 'version_id', name='files_object_pkey')
    )
    op.create_table('records_buckets',
    sa.Column('record_id', sa.BIGINT(), autoincrement=False, nullable=False),
    sa.Column('bucket_id', postgresql.UUID(), autoincrement=False, nullable=False),
    sa.ForeignKeyConstraint(['bucket_id'], ['files_bucket.id'], name='records_buckets_bucket_id_fkey'),
    sa.ForeignKeyConstraint(['record_id'], ['post.id'], name='records_buckets_record_id_fkey'),
    sa.PrimaryKeyConstraint('record_id', 'bucket_id', name='records_buckets_pkey')
    )
    # ### end Alembic commands ###
